server {
        listen       80;
        server_name  www.cofortest.com;
        root /usr/share/nginx/html;
        #charset koi8-r;
        client_max_body_size 100m;
        #access_log  logs/host.access.log  main;

        # 开启代理缓冲区
        proxy_buffering on;
        # 响应头的缓冲区
        proxy_buffer_size 128k;
        # 网页内容缓冲区的个数为4，单个大小为1M
        proxy_buffers 8 1M;
        proxy_busy_buffers_size 2M;

        location / {
            root /usr/share/nginx/html;
        }

        location /api {
            proxy_set_header Host                          $host;
            proxy_set_header X-Real-IP                  $remote_addr;
            proxy_set_header X-Forwarded-For      $proxy_add_x_forwarded_for;
            proxy_pass http://backend:8080;
            proxy_connect_timeout 1200s;
            proxy_read_timeout 1200s;
            proxy_send_timeout 1200s;
        }

        location /recommendationtest {
            proxy_pass http://taskRecommend:7477;
        }


        #error_page  404              /404.html;

        # redirect server error pages to the static page /50x.html
        #
        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   html;
        }
 }
